"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sessionWalletActions = sessionWalletActions;
exports.globalWalletActions = globalWalletActions;
const actions_1 = require("viem/actions");
const createSession_js_1 = require("./actions/createSession.js");
const deployContract_js_1 = require("./actions/deployContract.js");
const prepareTransaction_js_1 = require("./actions/prepareTransaction.js");
const revokeSessions_js_1 = require("./actions/revokeSessions.js");
const sendTransaction_js_1 = require("./actions/sendTransaction.js");
const sendTransactionForSession_js_1 = require("./actions/sendTransactionForSession.js");
const signMessage_js_1 = require("./actions/signMessage.js");
const signTransaction_js_1 = require("./actions/signTransaction.js");
const signTypedData_js_1 = require("./actions/signTypedData.js");
const writeContract_js_1 = require("./actions/writeContract.js");
const writeContractForSession_js_1 = require("./actions/writeContractForSession.js");
const constants_js_1 = require("./constants.js");
const sessionClient_js_1 = require("./sessionClient.js");
function sessionWalletActions(signerClient, publicClient, session) {
    return (client) => ({
        sendTransaction: (args) => (0, sendTransactionForSession_js_1.sendTransactionForSession)(client, signerClient, publicClient, args, session),
        writeContract: (args) => (0, writeContractForSession_js_1.writeContractForSession)(client, signerClient, publicClient, args, session),
    });
}
function globalWalletActions(signerClient, publicClient, isPrivyCrossApp = false) {
    return (client) => ({
        getChainId: () => (0, actions_1.getChainId)(client),
        createSession: (args) => (0, createSession_js_1.createSession)(client, signerClient, publicClient, args, isPrivyCrossApp),
        revokeSessions: (args) => (0, revokeSessions_js_1.revokeSessions)(client, signerClient, publicClient, args, isPrivyCrossApp),
        prepareAbstractTransactionRequest: (args) => (0, prepareTransaction_js_1.prepareTransactionRequest)(client, signerClient, publicClient, args),
        sendTransaction: (args) => (0, sendTransaction_js_1.sendTransaction)(client, signerClient, publicClient, args, isPrivyCrossApp),
        sendTransactionBatch: (args) => (0, sendTransaction_js_1.sendTransactionBatch)(client, signerClient, publicClient, args, isPrivyCrossApp),
        signMessage: (args) => (0, signMessage_js_1.signMessage)(client, signerClient, args, isPrivyCrossApp),
        signTransaction: (args) => (0, signTransaction_js_1.signTransaction)(client, signerClient, args, constants_js_1.EOA_VALIDATOR_ADDRESS),
        signTypedData: (args) => (0, signTypedData_js_1.signTypedData)(client, signerClient, args, isPrivyCrossApp),
        deployContract: (args) => (0, deployContract_js_1.deployContract)(client, signerClient, publicClient, args, isPrivyCrossApp),
        writeContract: (args) => (0, writeContract_js_1.writeContract)(Object.assign(client, {
            sendTransaction: (args) => (0, sendTransaction_js_1.sendTransaction)(client, signerClient, publicClient, args, isPrivyCrossApp),
        }), signerClient, publicClient, args),
        toSessionClient: (signer, session) => (0, sessionClient_js_1.toSessionClient)({
            client: client,
            signer,
            session: session,
        }),
    });
}
//# sourceMappingURL=walletActions.js.map