import { type Account, type Client, type Hash, type PublicClient, type Transport, type WalletClient } from 'viem';
import type { ChainEIP712 } from 'viem/chains';
import { type SessionConfig } from '../sessions.js';
export interface RevokeSessionsParameters {
    session: SessionConfig | Hash | (SessionConfig | Hash)[];
}
export interface RevokeSessionsReturnType {
    transactionHash: Hash | undefined;
}
export declare function revokeSessions(client: Client<Transport, ChainEIP712, Account>, signerClient: WalletClient<Transport, ChainEIP712, Account>, publicClient: PublicClient<Transport, ChainEIP712>, args: RevokeSessionsParameters, isPrivyCrossApp?: boolean): Promise<RevokeSessionsReturnType>;
//# sourceMappingURL=revokeSessions.d.ts.map